org.apache.fop.fonts

## Class DefaultFontConfig.Font

- java.lang.Object
- - org.apache.fop.fonts.DefaultFontConfig.Font

Enclosing class:
  DefaultFontConfig

    public static final class DefaultFontConfig.Font
    extends Object

Represents a font object within the FOP conf.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAfm()`
`boolean` `getEmbedAsType1()`
`String` `getEmbeddingMode()`
`String` `getEmbedURI()` Gets the URI of the font to embed.
`String` `getEncodingMode()`
`String` `getMetrics()` Gets the String representing the metrics file.
`String` `getPfm()`
`boolean` `getSimulateStyle()`
`String` `getSubFont()` Gets the sub font within, for example, a TTC.
`List<FontTriplet>` `getTripletList()`
`boolean` `getUseSVG()`
`boolean` `isAdvanced()`
`boolean` `isKerning()` Whether or not to allow kerning of glyphs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getEncodingMode

    public String getEncodingMode()

#### getTripletList

    public List<FontTriplet> getTripletList()

#### isKerning

    public boolean isKerning()

Whether or not to allow kerning of glyphs.

Returns:
  true to allow glyph kerning

#### isAdvanced

    public boolean isAdvanced()

#### getMetrics

    public String getMetrics()

Gets the String representing the metrics file.

Returns:
  the metrics file

#### getEmbedURI

    public String getEmbedURI()

Gets the URI of the font to embed.

Returns:
  the font URI

#### getSubFont

    public String getSubFont()

Gets the sub font within, for example, a TTC.

Returns:
  the sub font name

#### getEmbeddingMode

    public String getEmbeddingMode()

#### getAfm

    public String getAfm()

#### getPfm

    public String getPfm()

#### getSimulateStyle

    public boolean getSimulateStyle()

#### getEmbedAsType1

    public boolean getEmbedAsType1()

#### getUseSVG

    public boolean getUseSVG()